# $EPIC: ishalfop,v 1.3 2002/02/14 09:09:11 brian Exp $
Synopsis:
   $ishalfop(<nick> <channel>)

Technical:
   * If the <nick> argument is omitted, the empty string is returned.
   * If the <channel> argument is omitted, or if it is a literal star ('*'),
     then the current channel is assumed.  
   * BEWARE -- if you are connected to more than one server and the current
     window is connected to a different server than whatever context this
     function is called in, it may falsely return 0.  To be sure, always
     specify the channel name!
   * This function returns 1 if <nick> is a channel half-operator on <channel>.
   * This function uses the internal channel cache:
     * Both you and <nick> must be on <channel> or it will return 0.
     * If /on channel_sync has not been thrown for <channel> it may return 0.

Practical:
   You can use this function to see if someone is a channel half-operator
   as a condition of some other action.

Returns:
   1 if <nick> is a channel half-operator on <channel> and 0 if not.
   Both you and <nick> must be on <channel>.

See Also:
   ischanop(6); ischanvoice(6); chops(6); nochops(6)

